Line Items

Endpoints related to line items.

GET /flat-line-item/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

POST /flat-line-item/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /flat-line-item/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

PUT /flat-line-item/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /line-item/

List all of the line_item in the system for your account. If you don’t provide a “type” filter(ex: ?filter[type]=product),

List all of the line_item in the system for your account. If you don’t provide a “type” filter(ex: ?filter[type]=product), a default filter of type “product” will be applied automatically. If you want to list items of any other type you will need to override this default by providing a type filter(see EndUseType in constants.py for possible line-item types). For instance, to find specimen line-items (aka ghost line items) you will need to use the following filter ?filter[type]=specimen.

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – The requested line-item cannot be found.

  • 400 Bad Request – The quantity value is too low or too high The model does not seem printable Either supply a model uri, or set no_model_upload to True. You cannot do both, and you cannot do neither. An line-item with prints that are associated with a run cannot be deleted Provided status transformation is not allowed Template is required for the line-item. If an order quote are enabled, the parent order’s quote must be acceptedbefore child line item status is set to confirmed or equivalent status. Workflow related to the line_item, with type additive_manufacturing, must have an associated printer_type A generic workflow must have a post-processor step before estimates can be processed. There is a mismatch in the bureau of the requesting user and the bureau of the requested user Contact Authentise. You are missing the custom_field required for this feature Contact Authentise. You are missing the labels required for this feature You attempted to update the Export Control custom field. You can only update while the line-item is in an intake state You attempted to update the ITAR Control custom field. You can only update while the line-item is in an intake state

  • 405 Method Not Allowed – MethodNotAllowed

POST /line-item/

Create a new line_item for HTTP POST.

Create a new line_item for HTTP POST.

Status Codes:
  • 201 Created – Resource created successfully

  • 404 Not Found – The requested line-item cannot be found.

  • 400 Bad Request – The quantity value is too low or too high The model does not seem printable Either supply a model uri, or set no_model_upload to True. You cannot do both, and you cannot do neither. An line-item with prints that are associated with a run cannot be deleted Provided status transformation is not allowed Template is required for the line-item. If an order quote are enabled, the parent order’s quote must be acceptedbefore child line item status is set to confirmed or equivalent status. Workflow related to the line_item, with type additive_manufacturing, must have an associated printer_type A generic workflow must have a post-processor step before estimates can be processed. There is a mismatch in the bureau of the requesting user and the bureau of the requested user Contact Authentise. You are missing the custom_field required for this feature Contact Authentise. You are missing the labels required for this feature You attempted to update the Export Control custom field. You can only update while the line-item is in an intake state You attempted to update the ITAR Control custom field. You can only update while the line-item is in an intake state

  • 405 Method Not Allowed – MethodNotAllowed

Response Headers:
  • Location – URI of the created resource

GET /line-item/{uuid}/

Get a single line_item by UUID.

Get a single line_item by UUID.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

  • 404 Not Found – The requested line-item cannot be found.

  • 400 Bad Request – The quantity value is too low or too high The model does not seem printable Either supply a model uri, or set no_model_upload to True. You cannot do both, and you cannot do neither. An line-item with prints that are associated with a run cannot be deleted Provided status transformation is not allowed Template is required for the line-item. If an order quote are enabled, the parent order’s quote must be acceptedbefore child line item status is set to confirmed or equivalent status. Workflow related to the line_item, with type additive_manufacturing, must have an associated printer_type A generic workflow must have a post-processor step before estimates can be processed. There is a mismatch in the bureau of the requesting user and the bureau of the requested user Contact Authentise. You are missing the custom_field required for this feature Contact Authentise. You are missing the labels required for this feature You attempted to update the Export Control custom field. You can only update while the line-item is in an intake state You attempted to update the ITAR Control custom field. You can only update while the line-item is in an intake state

  • 405 Method Not Allowed – MethodNotAllowed

PUT /line-item/{uuid}/

Update a line_item by UUID for/from HTTPS PUT.

Update a line_item by UUID for/from HTTPS PUT.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 204 No Content – Resource updated successfully

  • 404 Not Found – The requested line-item cannot be found.

  • 400 Bad Request – The quantity value is too low or too high The model does not seem printable Either supply a model uri, or set no_model_upload to True. You cannot do both, and you cannot do neither. An line-item with prints that are associated with a run cannot be deleted Provided status transformation is not allowed Template is required for the line-item. If an order quote are enabled, the parent order’s quote must be acceptedbefore child line item status is set to confirmed or equivalent status. Workflow related to the line_item, with type additive_manufacturing, must have an associated printer_type A generic workflow must have a post-processor step before estimates can be processed. There is a mismatch in the bureau of the requesting user and the bureau of the requested user Contact Authentise. You are missing the custom_field required for this feature Contact Authentise. You are missing the labels required for this feature You attempted to update the Export Control custom field. You can only update while the line-item is in an intake state You attempted to update the ITAR Control custom field. You can only update while the line-item is in an intake state

  • 405 Method Not Allowed – MethodNotAllowed

DELETE /line-item/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 204 No Content – Resource deleted successfully

  • 404 Not Found – The requested line-item cannot be found.

  • 400 Bad Request – The quantity value is too low or too high The model does not seem printable Either supply a model uri, or set no_model_upload to True. You cannot do both, and you cannot do neither. An line-item with prints that are associated with a run cannot be deleted Provided status transformation is not allowed Template is required for the line-item. If an order quote are enabled, the parent order’s quote must be acceptedbefore child line item status is set to confirmed or equivalent status. Workflow related to the line_item, with type additive_manufacturing, must have an associated printer_type A generic workflow must have a post-processor step before estimates can be processed. There is a mismatch in the bureau of the requesting user and the bureau of the requested user Contact Authentise. You are missing the custom_field required for this feature Contact Authentise. You are missing the labels required for this feature You attempted to update the Export Control custom field. You can only update while the line-item is in an intake state You attempted to update the ITAR Control custom field. You can only update while the line-item is in an intake state

  • 405 Method Not Allowed – MethodNotAllowed

POST /line-item/<uuid:line_item_uuid>/clone/

TODO:

TODO:

Important note: temporary cloning related product + line_item while API for /product/<uuid>/clone/ will not be provided.

Status Codes:
  • 201 Created – Resource created successfully

  • 404 Not Found – The requested line item cannot be found.

  • 403 Forbidden – You are not authorized to complete the request. Operation not allowed.

Response Headers:
  • Location – URI of the created resource

POST /line-item/estimate/<uuid:_uuid>/callback/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /flat-summary-line-item-tasks/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

POST /flat-summary-line-item-tasks/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /flat-summary-line-item-tasks/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

PUT /flat-summary-line-item-tasks/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /flat-piece/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

POST /flat-piece/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /flat-piece/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

PUT /flat-piece/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /line-items-by-run/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

POST /line-items-by-run/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /line-items-by-run/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

PUT /line-items-by-run/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /line-items-by-run/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes: